<?php

namespace Leenooks\OpenPGP\SignaturePacket;

use Leenooks\OpenPGP\SignaturePacket;

/**
 * @see http://tools.ietf.org/html/rfc4880#section-5.2.3.26
 */
class EmbeddedSignaturePacket extends SignaturePacket
{
	protected $tag = 32;

	protected function header_and_body(): array
	{
		return ['header'=>$this->size().chr($this->tag),'body'=>$this->body()];
	}

	protected function size(): string
	{
		// Use 5-octet lengths + 1 for tag as first packet body octet
		return chr(255).pack('N',strlen($this->body())+1);
	}
}